package hiro.yoshioka.util.logging;

import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.graphics.Color;

public class StyledTextData {
	StyledText fText;

	Color fFg;

	Color fBg;

	String fString;

	public StyledTextData(StyledText text, Color fg, Color bg, String string) {
		fText = text;
		if (fg == null) {
			// fFg = Util
			// .getColorManager().getColor(SWT.COLOR_DARK_BLUE);
		} else {
			fFg = fg;
		}
		if (bg == null) {
			// fBg = Util
			// .getColorManager().getColor(SWT.COLOR_WHITE);
		} else {
			fBg = bg;
		}
		fString = string;
	}
}
